%define name cscmail
%define version 1.6.2
%define release 2mdk

Name:		%{name}
Summary:	CSCMail is a GTK email client written in Perl
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.cscmail.net/
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}-noroot.patch.bz2
Requires:	perl-DBI >= 1.13, perl-Text-CSV_XS >= 0.16, perl-SQL-Statement >= 0.1011 
Requires:	perl-DBD-CSV, perl-DateManip, perl-Mail-Sender, perl-HTML-Parser
Requires:	perl-POP3Client, perl-GTK-Gnome, gtk+ >= 1.2.3, perl >= 5.003
Buildroot:	%{_tmppath}/%{name}-%{version}
BuildArchitectures:	noarch

%description
CSCMail is a GTK email client written entirely in Perl.  It supports
multiple POP3 email boxes, provides PGP support, configurable filters,
auto-set reply address based on account used to download messages,
Multipart/MIME attachments, HTML messages, Drag-N-Drop message sorting,
Multiple Message selection, multiple folders, multi-threaded operation, and
much more.  It was written to be Linux's answer to Outlook Express.


%prep -q
%setup -q
%patch -p1


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}


%install
mkdir -p %{buildroot}%{_bindir}
make PREFIX=%{buildroot}%{_prefix} install
install -m755 gpg-wrap %{buildroot}%{_bindir}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc LICENSE README INSTALL TODO ChangeLog
%{_libdir}/cscmail/pixmaps/*
%{_libdir}/cscmail/CSCcrypt/GPG.pm
%{_libdir}/cscmail/cscmail.gtkrc
%{_libdir}/cscmail/csclib.pl
%{_libdir}/cscmail/migration-scripts/*
%{_libdir}/cscmail/HtmlStripper.pm
%{_libdir}/cscmail/docs/*
%attr(2755,root,mail) %{_bindir}/csclock
%{_bindir}/cscsend
%{_bindir}/cscget
%{_bindir}/gpg-wrap
%{_bindir}/cscmail


%changelog
* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.2-2mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-4mdk
- rebuild

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-3mdk
- fixes from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	- requires perl-GTK-Gnome, not perl-GTK-gnome

* Sat Oct 28 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.6.1-2mdk
- specfile cleanup, macros
- added noroot patch so users can build

* Sun Oct 01 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1
- added requires gtk and perl
- new URL

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-3mdk
- BM
- macros

* Thu May 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-2mdk
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Fri Apr 28 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.4.1-2mdk
- fix group
- fixes to specfile

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
